Apache JMeter

## org.apache.jmeter.report.gui.action
Class ReportAddToTree

    java.lang.Object
      org.apache.jmeter.report.gui.action.ReportAddToTree

All Implemented Interfaces:
  Command

    public class ReportAddToTree

extends Object
implements Command

Constructor Summary
`ReportAddToTree()`

Method Summary
`protected void` `addObjectToTree(TestElement el)`
`void` `doAction(ActionEvent e)` Adds the specified class to the current node of the tree.
`Set<String>` `getActionNames()` Gets the Set of actions this Command class responds to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportAddToTree

    public ReportAddToTree()

Method Detail

### getActionNames

    public Set<String> getActionNames()

  Gets the Set of actions this Command class responds to.

  Specified by:
    `getActionNames` in interface `Command`
  Returns:
    the ActionNames value

### doAction

    public void doAction(ActionEvent e)

  Adds the specified class to the current node of the tree.

  Specified by:
    `doAction` in interface `Command`

### addObjectToTree

    protected void addObjectToTree(TestElement el)

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.